%global pypi_name python-snappy

Name:           python-snappy
Version:        0.6.1
Release:        %mkrel 2
Summary:        Python library for the snappy compression library from Google
License:        BSD
Group:          Development/Python
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  snappy-devel

%description
Python bindings for the snappy compression library from Google.

%package -n     python3-snappy
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-snappy
Python bindings for the snappy compression library from Google.


%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files snappy

%files -n python3-snappy -f %{pyproject_files}
%doc README.rst AUTHORS
%license LICENSE


%changelog
* Sat Jan 20 2024 papoteur <papoteur> 0.6.1-2.mga10
+ Revision: 2032378
- rebuild for python 3.12
- clean spec

* Wed Sep 07 2022 neoclust <neoclust> 0.6.1-1.mga9
+ Revision: 1885296
- New version  0.6.1

* Wed Mar 30 2022 umeabot <umeabot> 0.6.0-3.mga9
+ Revision: 1834363
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.6.0-2.mga9
+ Revision: 1782511
- rebuild for python-3.10

* Sun Mar 21 2021 joequant <joequant> 0.6.0-1.mga9
+ Revision: 1706364
- update to 0.6.0 - python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5.4-4.mga8
+ Revision: 1534198
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.5.4-3.mga8
+ Revision: 1447477
- rebuild for python3.8

* Sat Jul 20 2019 wally <wally> 0.5.4-2.mga8
+ Revision: 1423155
- fix src.srpm name
+ shlomif <shlomif>
- fixes from fedora
- pyp2rpm

